# -------------------------------------------------
# Project created by QtCreator 2009-12-07T10:11:18
# -------------------------------------------------
QT += core \
    gui \
    network \
    sql
TARGET = ProximityServer
TEMPLATE = app
DEFINES += _DEV_
win32:LIBS += libwsock32 # <- funktioniert mit mingw unter Windows

# ansonsten mal sowas hier probieren (Windows SDK muss installiert sein):
# win32:LIBS+="C:\Program Files\Microsoft SDKs\Windows\v7.0\Lib\WS2_32.Lib"
# QMAKE_CXXFLAGS_DEBUG += -g3 -O0 # compiler-optimization off
HEADERS += proximityserver.h \
    proximitydistributor.h \
    proximitydatareceiver.h \
    proximityserverclient.h \
    ../common/protocol/tagcontactkey.h \
    ../common/protocol/tagcontactinfo.h \
    ../common/protocol/PTNP.h \
    ../common/protocol/proximitytag.h \
    ../common/protocol/proximityantenna.h \
    ../common/protocol/package.h \
    ../common/protocol/outtimingobject.h \
    ../common/protocol/openbeacon.h \
    ../common/protocol/buttonevent.h \
    ../common/protocol/beaconkey.h \
    proximityplayer.h \
    proximitylogger.h \
    ../common/protocol/position.h \
    proximityserialdataprovider.h \
    proximitydataprovider.h \
    proximitynetworkdataprovider.h \
    ../common/protocol/outtimingtagcontact.h \
    ../common/protocol/tagcontact.h \
    ../common/protocol/outtimingproximitytag.h \
    ../common/protocol/locatableproximitytag.h \
    ../common/protocol/outtimingsignalstrength.h \
    proximitylocator.h \
    attractiveforcelocator.h \
    proximitydatamodel.h \
    contactforcelocator.h \
    ../common/proximityclient.h \
    landmarclocator.h \
    landmarcvirelocator.h \
    referencecontactlocator.h

# QT -= gui
# CONFIG += console
CONFIG -= app_bundle
SOURCES += main.cpp \
    proximityserver.cpp \
    proximitydistributor.cpp \
    proximitydatareceiver.cpp \
    proximityserverclient.cpp \
    ../common/protocol/tagcontactkey.cpp \
    ../common/protocol/tagcontactinfo.cpp \
    ../common/protocol/proximitytag.cpp \
    ../common/protocol/proximityantenna.cpp \
    ../common/protocol/package.cpp \
    ../common/protocol/outtimingobject.cpp \
    ../common/protocol/buttonevent.cpp \
    ../common/protocol/beaconkey.cpp \
    proximityplayer.cpp \
    proximitylogger.cpp \
    ../common/protocol/position.cpp \
    proximityserialdataprovider.cpp \
    proximitydataprovider.cpp \
    proximitynetworkdataprovider.cpp \
    ../common/protocol/outtimingtagcontact.cpp \
    ../common/protocol/tagcontact.cpp \
    ../common/protocol/outtimingproximitytag.cpp \
    ../common/protocol/locatableproximitytag.cpp \
    ../common/protocol/outtimingsignalstrength.cpp \
    proximitylocator.cpp \
    attractiveforcelocator.cpp \
    proximitydatamodel.cpp \
    contactforcelocator.cpp \
    ../common/proximityclient.cpp \
    landmarclocator.cpp \
    landmarcvirelocator.cpp \
    referencecontactlocator.cpp
OTHER_FILES +=  

RESOURCES += 
unix:include(../extern/QSerialDevice_v0.4.0/unix/ttylocker.pri)
include(../extern/QSerialDevice_v0.4.0/qserialdevice/qserialdevice.pri)
