#ifndef CONTACTFORCELOCATOR_H
#define CONTACTFORCELOCATOR_H

#include "proximitylocator.h"

/*!
  Diese Ortungsklasse geht nach dem Prinzip der Anziehungskräfte vor.
  Jedes Tag wird von jeder Antenne anhand der Menge von Paketen in
  unterschiedlichen Signalstärken zu dieser hingezogen.
  Durch die Menge an Antennen entsteht so ein Anziehungsfeld, in dem
  sich das Tag befindet.
  */
class ContactForceLocator : public ProximityLocator
{
    Q_OBJECT
public:
    ContactForceLocator(ProximityDataModel& model,
                        int timeout=LOCATOR_TIMEOUT);
    ~ContactForceLocator();
public slots:
    void calculate();
};

#endif // CONTACTFORCELOCATOR_H
