#ifndef REFERENCECONTACTLOCATOR_H
#define REFERENCECONTACTLOCATOR_H

#include "proximitylocator.h"

class ReferenceContactLocator : public ProximityLocator
{
    Q_OBJECT
public:
    ReferenceContactLocator(ProximityDataModel& model,
                            int timeout = LOCATOR_TIMEOUT);
    ~ReferenceContactLocator();
public slots:
    void calculate();
protected:
    QPoint getMovement(PTNP::LocatableProximityTag &tag) const;
};

#endif // REFERENCECONTACTLOCATOR_H
