# common-files for ROBERTA-Clients

INCLUDEPATH += $$PWD/common
DEPENDPATH += $$PWD/common
HEADERS += \
    $$PWD/common/proximityclient.h \
    $$PWD/common/proximityperson.h \
    $$PWD/common/protocol/proximityperson.h \
    $$PWD/common/protocol/PTNP.h \
    $$PWD/common/protocol/outtimingtagcontact.h \
    $$PWD/common/protocol/beaconkey.h \
    $$PWD/common/protocol/package.h \
    $$PWD/common/protocol/buttonevent.h \
    $$PWD/common/protocol/position.h \
    $$PWD/common/protocol/locatableproximitytag.h \
    $$PWD/common/protocol/proximityantenna.h \
    $$PWD/common/protocol/openbeacon.h \
    $$PWD/common/protocol/proximitytag.h \
    $$PWD/common/protocol/outtimingobject.h \
    $$PWD/common/protocol/tagcontact.h \
    $$PWD/common/protocol/outtimingproximitytag.h \
    $$PWD/common/protocol/tagcontactinfo.h \
    $$PWD/common/protocol/outtimingsignalstrength.h \
    $$PWD/common/protocol/tagcontactkey.h


SOURCES += \
    $$PWD/common/proximityclient.cpp \
    $$PWD/common/proximityperson.cpp \
    $$PWD/common/protocol/beaconkey.cpp \
    $$PWD/common/protocol/package.cpp \
    $$PWD/common/protocol/buttonevent.cpp \
    $$PWD/common/protocol/position.cpp \
    $$PWD/common/protocol/locatableproximitytag.cpp \
    $$PWD/common/protocol/proximityantenna.cpp \
    $$PWD/common/protocol/proximitytag.cpp \
    $$PWD/common/protocol/outtimingobject.cpp \
    $$PWD/common/protocol/tagcontact.cpp \
    $$PWD/common/protocol/outtimingproximitytag.cpp \
    $$PWD/common/protocol/tagcontactinfo.cpp \
    $$PWD/common/protocol/outtimingsignalstrength.cpp \
    $$PWD/common/protocol/tagcontactkey.cpp \
    $$PWD/common/protocol/outtimingtagcontact.cpp \
