#include "outtimingobject.h"
namespace PTNP {
    /*!
      Dieser Konstruktor startet einen Timer, mit dem im Nachhinein festgestellt werden kann,
      wie lang das Objekt schon existiert.
      */
    OuttimingObject::OuttimingObject(QObject* parent):QTimer(parent)
    {
        startTime_ = new QTime();
        startTime_->start();
    }

    OuttimingObject::~OuttimingObject()
    {
        delete startTime_;
    }

    /*!
      Diese Methode liefert die Zeit in Sekunden zurück, die das Objekt besteht / bestand.
      */
    PTNP::duration OuttimingObject::timeElapsedInSeconds() const
    {
        return (PTNP::duration) (startTime_->elapsed()/1000);
    }

}
